This page documents the canonical HTTP contract for this endpoint.
Company results include id, name, url, location, industry, and related metadata. Use company id values as current_company_ids when building a lead list.
Path parameters
job_idrequiredstring
List-build job ID.
| Name | Type | Description |
|---|---|---|
| job_idrequired | string | List-build job ID. |
Query parameters
type· optionalstring
items, companies, leads, jobs, or all. Default: items. The route does not currently accept businesses as a result type.
page· optionalinteger
Page number. Default: 1.
page_size· optionalinteger
Results per page. Default: 50. Max: 500.
| Name | Type | Description |
|---|---|---|
| type | string | items, companies, leads, jobs, or all. Default: items. The route does not currently accept businesses as a result type. |
| page | integer | Page number. Default: 1. |
| page_size | integer | Results per page. Default: 50. Max: 500. |
Errors
| Status | Meaning |
|---|---|
| 401 | Invalid API key or missing auth. |
| 403 | Missing search:run scope. |
| 404 | List build job not found. |
